# HttpConfigInterceptor | CICADA
Documentation for CICADA

Intercepts and handles setting of configurations to outgoing HTTP request.

### Hierarchy

- HttpConfigInterceptor

### Implements

- HttpInterceptor

## Index

### Constructors

- constructor

### Methods

- intercept

## Constructors

### constructor

- new HttpConfigInterceptor(): HttpConfigInterceptor

- - Defined in src/app/_interceptors/http-config.interceptor.ts:10

  Initialization of http config interceptor.

  #### Returns HttpConfigInterceptor

## Methods

### intercept

- intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>>

- Implementation of HttpInterceptor.intercept

  - Defined in src/app/_interceptors/http-config.interceptor.ts:21

  Intercepts HTTP requests.

  #### Parameters

  - ##### request: HttpRequest<unknown>

    An outgoing HTTP request with an optional typed body.

  - ##### next: HttpHandler

    The next HTTP handler or the outgoing request dispatcher.

  #### Returns Observable<HttpEvent<unknown>>

  The forwarded request.

Generated using TypeDoc